`<refsDecl>` | (references declaration) specifies how canonical references are constructed for this text.
Attributes: |
`doctype` | identifies the document type within which this reference declaration is used.
| Datatype: NAME
| Values: must be the name of a document type
| Default: TEI.2

Example

    <refsDecl>
      <step delim=":"
            from="DESCENDANT (1 DIV1 N %1) CHILD (1 HEAD) STRING %2"
            to  ="PARENT"
            refunit="chapter" >
      <step length=4
            from="CHILD (ALL DIV2 N %3)"
            refunit="section" >
    </refsDecl>

This example is a formal representation for the referencing scheme described informally in the following example:

Example

    <refsDecl>
      <p>References are made up by concatenating the value for
      the <hi>n</hi> attribute on each DIV1 element,
      followed by a colon, followed by the first six characters
      of the first HEAD element found within it and a
      space, followed by exactly four characters derived from the
      value of the <hi>n</hi> attribute on the next included
      DIV2 element.
    </refsDecl>

Note
Tagset auxiliary tag set for TEI headers
Class
Filename `teihdr2`
Content:
Parents encodingDesc
Children p state step
Declaration

    <!ELEMENT refsDecl      - O  (p+ | step+ | state+)              >
    <!ATTLIST refsDecl           %a.global
              doctype            NAME                TEI.2          >

See 5.3.5.3 ; 5.3 ; 5.3.5

Back to index